minor improvements
authorIan Kelling <ian@iankelling.org>
Wed, 17 Jun 2026 02:43:52 +0000 (22:43 -0400)
committerIan Kelling <ian@iankelling.org>
Wed, 17 Jun 2026 02:43:52 +0000 (22:43 -0400)
brc
brc2
g5 [new file with mode: 0755]
g6 [new file with mode: 0755]

diff --git a/brc b/brc
index e33ac4b48fa48624fc8867427401a2044367988b..042bdb646faed7ab1ed0eda6e60ca9d8593cd715 100644 (file)
--- a/brc
+++ b/brc
@@ -2295,7 +2295,9 @@ pst() {
 # journalctl with times in the format the --since= and --until= options accept
 jrt() { journalctl -e -n100000 -o short-full "$@"; }
 jr() { journalctl -e -n100000 "$@" ; }
-jrf() { SYSTEMD_COLORS=true bn journalctl -n1000 -f "$@" ; }
+jrf() { journalctl -n1000 -f "$@" ; }
+bjrf() { SYSTEMD_COLORS=true bn journalctl -n1000 -f "$@" ; }
+
 jrfg() {
   _jrfg() { SYSTEMD_COLORS=true journalctl -n1000 -f | grp "$@"; }
   bn _jrfg "$@"
@@ -3166,10 +3168,12 @@ shk-p() {
 }
 # todo: update bash style guide with new exceptions.
 # note: I wouldn't recommend 2012 to others.
+#
+# 1090 = source that can't be followed. This is basically never something i want to remedy.
 shellcheck-except() {
   local quotes others
   quotes=2048,2064,2068,2086,2119,2206,2254,2231,2223
-  others=2024,2029,2032,2033,2054,2164,2185,2190,2317,2012,2103
+  others=2024,2029,2032,2033,2054,2164,2185,2190,2317,2012,2103,1090
   shellcheck -e $quotes,$others "$@" || return $?
 }
 # wrapper for shellcheck with better defaults.
diff --git a/brc2 b/brc2
index a5daa4ba6e5f11451af40b1dc21de43e580d0e72..c0cac148ec37dbeb300e35a6e11d570abe1cdab1 100644 (file)
--- a/brc2
+++ b/brc2
@@ -2845,6 +2845,10 @@ mpvk() {
 mpvl() {
   mpv --profile=l "$@";
 }
+# just shuffle
+mpvs() {
+  mpv --profile=s "$@";
+}
 # mpv for testing video quality, dont scale.
 mpvt() {
   mpv --video-unscaled "$@";
diff --git a/g5 b/g5
new file mode 100755 (executable)
index 0000000..c82be49
--- /dev/null
+++ b/g5
@@ -0,0 +1,32 @@
+#!/bin/bash
+# I, Ian Kelling, follow the GNU license recommendations at
+# https://www.gnu.org/licenses/license-recommendations.en.html. They
+# recommend that small programs, < 300 lines, be licensed under the
+# Apache License 2.0. This file contains or is part of one or more small
+# programs. If a small program grows beyond 300 lines, I plan to switch
+# its license to GPL.
+
+# Copyright 2024 Ian Kelling
+
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+
+#     http://www.apache.org/licenses/LICENSE-2.0
+
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+glib=${BASH_SOURCE[0]%/*}/g-lib.sh
+
+if [[ ! -s $glib ]]; then
+  echo "$0: error, can't find g-lib.sh" >&2; exit 1
+fi
+
+source $glib
+
+echo "$*" >>/tmp/g2.log
+g g5 "$@"
diff --git a/g6 b/g6
new file mode 100755 (executable)
index 0000000..2cc3de0
--- /dev/null
+++ b/g6
@@ -0,0 +1,32 @@
+#!/bin/bash
+# I, Ian Kelling, follow the GNU license recommendations at
+# https://www.gnu.org/licenses/license-recommendations.en.html. They
+# recommend that small programs, < 300 lines, be licensed under the
+# Apache License 2.0. This file contains or is part of one or more small
+# programs. If a small program grows beyond 300 lines, I plan to switch
+# its license to GPL.
+
+# Copyright 2024 Ian Kelling
+
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+
+#     http://www.apache.org/licenses/LICENSE-2.0
+
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+glib=${BASH_SOURCE[0]%/*}/g-lib.sh
+
+if [[ ! -s $glib ]]; then
+  echo "$0: error, can't find g-lib.sh" >&2; exit 1
+fi
+
+source $glib
+
+echo "$*" >>/tmp/g2.log
+g g6 "$@"